<template>
	<view v-if="isLoading">
		<status-nav :ifReturn="true" navBarTitle="积分规则" :marginBottom="0"></status-nav>
		<!-- 内容 -->
		<view class="disclaimers border-box" :style="{'min-height':disclaimersHeight}">
			<view class="disclaimers-txt font24 color-8c">
				<rich-text :nodes="integral_rule"></rich-text>
			</view>
		</view>
	</view>
</template>

<script>
	import {mapState} from 'vuex'//引入mapState
	export default {
		data() {
			return {
				disclaimersHeight: `calc(100vh - ${uni.getSystemInfoSync().statusBarHeight + 50}px)`,
				integral_rule:{},
				isLoading:false,
			}
		},
		onLoad(op) {
			// 查询积分明细
			this.getDisclaimers();
		},
		methods: {
			// 查询积分明细
			getDisclaimers(){
				uni.showLoading({
					title:'加载中'
				});
				this.$requst.get('/api/index/base-config').then(res=>{
					if(res.code==0){
						console.log(res,'积分规则')
						this.integral_rule = this.$toolAll.tools.escape2Html(res.data.score_rule);
					} else {
						this.$toolAll.tools.showToast(res.msg);
					}
					uni.hideLoading();
					this.isLoading =true;
				})
			}
		}
	}
</script>

<style>

</style>
